[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockCtrl' (#lcl)

# TLazDockConfigNode.Assign

Assign - systematically copies sizes, anchors, titles and other details from Source to a new node.

## Declaration

Source position: ldockctrl.pas line 109

`public procedure TLazDockConfigNode.Assign(`
`Source: TPersistent`
`); override;`

## Description

Assign - systematically copies sizes, anchors, titles and other details from Source to a new node. If Source is of the wrong type, calls inherited Assign, which usually raises an exception

## See also

TPersistent.Assign

The latest version of this document can be found at lazarus-ccr.sourceforge.net.